<%= form_with model: task do |form| %>
  <div>
    <%= form.label :name %><br>
    <%= form.text_field :name %>
    <%= render "error", task: task, field: :name %>
  </div>

  <div>
    <%= form.label :description %><br>
    <%= form.text_area :description %>
  </div>

  <div>
    <%= form.label :status %><br>
    <%= form.select :status, [%w[new new], %w[in_progress in_progress], %w[testing testing], %w[done done]], selected: @task.status %>
    <%= render "error", task: task, field: :status %>
  </div>

  <div>
    <%= form.label :creator %><br>
    <%= form.text_field :creator %>
    <%= render "error", task: task, field: :creator %>
  </div>

  <div>
    <%= form.label :performer %><br>
    <%= form.text_field :performer %>
  </div>

  <div>
    <%= form.label :completed %><br>
    <%= form.check_box :completed, { checked: @task.completed }, true, false %>
  </div>

  <div>
    <%= form.submit %>
  </div>
<% end %>
